Get division pairing matrix
curl --request GET \
--url https://softmax.com/api/observatory/v2/divisions/{division_id}/pairing-matrix \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/divisions/{division_id}/pairing-matrix"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/divisions/{division_id}/pairing-matrix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policies": [
{
"policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_label": "<string>",
"games_played": 123,
"player_id": "<string>",
"player_name": "<string>"
}
],
"cells": [
{
"a": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"b": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"games_together": 123
}
],
"total_games": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Rounds
Get division pairing matrix
Return shared-game counts among current champion policies in a division.
GET
/
v2
/
divisions
/
{division_id}
/
pairing-matrix
Get division pairing matrix
Authorizations
Bearer token issued by Softmax
Path Parameters
Division whose champion pairings should be returned.
Pattern:
^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
Policy pairing counts for a division.
Policies defining both matrix axes, in display order.
Show child attributes
Show child attributes
Policy pairs with at least one shared episode.
Show child attributes
Show child attributes
Distinct division episodes represented by the matrix.